controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Productos;
use app\models\Categoria;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionInicio(){
        return $this->render('index');
    }
    
    public function actionOfertas(){
          $lista = Productos::find()->where("oferta=1")->all();
         return $this->render('ofertas',['producto'=>$lista]);
    }
    public function actionProductos(){
        $lista = Productos::find()->all();
         return $this->render('productos',['producto'=>$lista]);
         
    }
    public function actionCategorias(){
        $dataProvider = new ActiveDataProvider([
        'query' => Categoria::find(),
    ]);
         return $this->render('categorias',['query'=>$dataProvider]);
    }
    public function actionContacto(){
         return $this->render('contacto');
    }
    
    
        
    }

    

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'encodeLabels' =>false,
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => '<span class="glyphicon glyphicon-home"></span> Home', 'url' => ['/site/inicio']],
            ['label' => '<span class="glyphicon glyphicon-ok"></span> Ofertas', 'url' => ['/site/ofertas']],
            ['label' => '<span class="glyphicon glyphicon-credit-card"></span> Productos', 'url' => ['/site/productos']],
            ['label' => '<span class="glyphicon glyphicon-certificate"></span> Categorias', 'url' => ['/site/categorias']],        
            ['label' => '<span class="glyphicon glyphicon-info-sign"></span> Nosotros', 'url' => ['/site/nosotros'], 'items' => [
            ['label' => 'Donde estamos', 'url' => ['#']],
            ['label' => 'Quienes somos', 'url' => ['#']],
            ['label' => 'Nuestros productos', 'url' => ['#']],
            ['label' => 'Información', 'url' => ['#']],
            ]],
            ['label' => '<span class="glyphicon glyphicon-list-alt"></span> Contactos', 'url' => ['/site/contacto']],
        
    ]]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>



<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>